# repository

![Version: 0.0.0-dev](https://img.shields.io/badge/Version-0.0.0--dev-informational?style=flat-square) ![AppVersion: SERVICE-VERSION](https://img.shields.io/badge/AppVersion-SERVICE--VERSION-informational?style=flat-square)

Ryax repository that pull Ryax Actions from service Helm chart for Kubernetes

**Homepage:** <https://ryax.tech>

## Source Code

* <https://gitlab.com/ryax-tech/ryax/ryax-repository>

## Values

### Global

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| global.nodeSelector | object | `{}` | Add nodeSelector injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#nodeselector) |

### Resource Settings

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| resources | string | `nil` | Recommended resource requirement Example:   requests:     memory: 1000Mi     cpu: 500m   limits:     memory: 1000Mi |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| apiPort | int | `8080` |  |
| authorizationUrl | string | `"ryax-authorization:8080"` |  |
| brokerSecret | string | `"ryax-broker-secret"` |  |
| datastoreSecret | string | `"ryax-datastore-secret"` |  |
| fernetEncryptionKey | string | `"gkNbHvJyhcX96-GQmiUUqsdviA65AptOqHBSujaJFkU="` | Unsecure! This is a default value for testing purpose. Change this by generating a Key with this script:    ```python3    #!/usr/bin/env python3    import base64    import os     print(base64.urlsafe_b64encode(os.urandom(32)).decode())    ``` |
| image | object | `{"name":"registry.ryax.org/dev/repository","tag":"SERVICE-VERSION"}` | container image name and version |
| imagePullPolicy | string | `"IfNotPresent"` |  |
| jwtSecret | string | `"api-jwt-secret-key"` |  |
| logLevel | string | `"info"` | log level of the service |
| passwordEncryptionKeySecret | string | `"repository-password-encryption-key"` |  |
| priorityClass | string | `"microservices"` |  |
| pullSecret | string | `nil` |  |
| tls.certSecret | string | `"ryax-cert-development"` |  |
| tls.enabled | bool | `true` | Enable TLS for the REST API |
| tls.hostname | string | `nil` | cluster FQDN like "cluster.ryax.io" use to create a valid certificate |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
